| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ChannelRequestHints Class Reference
ChannelRequest proxies

The ChannelRequestHints class represents a dictionary of metadata provided by the channel requester when requesting a channel. More...

`#include <TelepathyQt/ChannelRequestHints>`

List of all members.

## Public Member Functions

- ChannelRequestHints ()
- ChannelRequestHints (const QVariantMap &hints)
- ChannelRequestHints (const ChannelRequestHints &other)
- ~ChannelRequestHints ()
- ChannelRequestHints & operator= (const ChannelRequestHints &other)
- bool isValid () const
- bool hasHint (const QString &reversedDomain, const QString &localName) const
- QVariant hint (const QString &reversedDomain, const QString &localName) const
- void setHint (const QString &reversedDomain, const QString &localName, const QVariant &value)
- QVariantMap allHints () const

## Detailed Description

The ChannelRequestHints class represents a dictionary of metadata provided by the channel requester when requesting a channel.

## Constructor & Destructor Documentation

Tp::ChannelRequestHints::ChannelRequestHints | ( |  | ) |

Tp::ChannelRequestHints::ChannelRequestHints | ( | const QVariantMap & | hints | ) |

Tp::ChannelRequestHints::ChannelRequestHints | ( | const ChannelRequestHints & | other | ) |

Tp::ChannelRequestHints::~ChannelRequestHints | ( |  | ) |

## Member Function Documentation

ChannelRequestHints & Tp::ChannelRequestHints::operator= | ( | const ChannelRequestHints & | other | ) |

bool Tp::ChannelRequestHints::isValid | ( |  | ) | const

bool Tp::ChannelRequestHints::hasHint | ( | const QString & | reversedDomain,
|  | const QString & | localName
| ) |  | const

QVariant Tp::ChannelRequestHints::hint | ( | const QString & | reversedDomain,
|  | const QString & | localName
| ) |  | const

void Tp::ChannelRequestHints::setHint | ( | const QString & | reversedDomain,
|  | const QString & | localName,
|  | const QVariant & | value
| ) |  |

QVariantMap Tp::ChannelRequestHints::allHints | ( |  | ) | const